Plan source-video cache generation
For source-video avatars: compute (and persist) the video cache generation plan. Requires scope avatars:write.
Authorization
apiKey AuthorizationBearer <token>
TIC API key as a bearer token: Authorization: Bearer tic_live_... or tic_test_.... Create keys in the dashboard at /platform/dashboard or via POST /api/v1/api-keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/realtime/video-cache/plan" \ -H "Content-Type: application/json" \ -d '{ "avatar_id": "string" }'{ "status": "queued", "plan": null, "manifest": {}}{ "error": "string", "status": 0, "code": "string", "retryable": true, "billingUrl": "string"}{ "error": "string", "status": 0, "code": "string", "retryable": true, "billingUrl": "string"}